@model List<Pessoa>
@{ Layout = "/Views/Shared/Layout.cshtml";}

<h1>Lista de Pessoas</h1>

<div>
    <form action="/pessoa/search" method="post">
        <div class="form-group">
            <input type="text" name="pesquisa" class="form-control" placeholder="Pesquise aqui">
        </div>
        <button type="submit" class="btn btn-primary">Buscar</button>
    </form>
</div>

<table class="table table-hover">
    @foreach (Pessoa p in Model)
    {
    <tr>
        
        <td>@p.IdPessoa</td>
        <td>@p.Nome</td>
        <td>@p.CPF</td>
        <td>@p.Email</td>
        <td>@p.Telefone</td>
        <td>@p.Endereco</td>
        <td>@p.CodIdentificador</td>

        
        <td><a href="/pessoa/details/@p.IdPessoa">Detalhes</a></td>
        <td><a href="/pessoa/delete/@p.IdPessoa" class="btn btn-danger">Apagar</a></td>
        <td><a href="/pessoa/update/@p.IdPessoa" class="btn btn-warning">Editar</a></td>
    </tr>
    } 
</table>

<a href="/pessoa/create" class="btn btn-success">Adicionar</a>
